Subject: Re: [BUG?] Detaching head at checked out point does not work.

From: Jan Hudec <[email-masked]>
Date: Sat, 12 May 2007 22:18:15 +0200

On Sat, May 12, 2007 at 12:35:22 -0700, Junio C Hamano wrote:
> Jan Hudec <[email-masked]> writes:
> 
> > On Sat, May 12, 2007 at 11:26:53 -0700, Junio C Hamano wrote:
> >> Jan Hudec <[email-masked]> writes:
> >>
> >> > I can correctly detach head by saying:
> >> >
> >> >   git checkout master^0
> >> >
> >> > (or git checkout master^{} or git checkout refs/heads/master), but NONE of
> >> > these work, if I currently have master checked out. Shouldn't it detach
> >> > anyway?
> >> 
> >> Yes, and it does as far as I know.
> >> 
> >> Do you have 3e0318a3?
> >
> > It does not seem to be in 1.5.1.4, so no, I don't.
> 
> As that commit is directly on top of v1.5.1, I think it may not
> hurt to cherry-pick that single commit to 'maint' for 1.5.1.5,
> although some may argue that it is not strictly a bugfix but a
> new feature.

I would not call it a new feature, since it worked if I had something else
than master checked out. It is not a regression though and given that 1.5.2
is getting closer I'm not sure it's worth bothering.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>